commit: e935d8827c763862f80081b8d7f20c14cb799ae4
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 26 21:35:55 2020 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Jan 26 21:41:39 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e935d882
dev-python/pyghmi: Bump to version 1.5.5
Package-Manager: Portage-2.3.85, Repoman-2.3.20
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>
dev-python/pyghmi/Manifest | 1 +
dev-python/pyghmi/pyghmi-1.5.5.ebuild | 38 +++++++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index 5b362466081..c4ece9e20ee 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -1 +1,2 @@
DIST pyghmi-1.0.22.tar.gz 123267 BLAKE2B
8cfa716d04411dc5228d86cf8813ddb4fb61b7bfeb6618f0182fe42c7ed1deb46e876e085a732d69b3c7390c37a8bc62a3bf15313166574ec98ccefa784b97eb
SHA512
9e3bc6b5f33d5496d7e58d2ea558d20d45a7690d493f2d1ad56fdd5570279a38e8934d8425c3d3207d8001da85a9a0b1319463b802fa9f121db7448aa919bddc
+DIST pyghmi-1.5.5.tar.gz 195830 BLAKE2B
de7acc04e4b33f9a623cbe1afcd0caf869dea3e635df5e7ee1c609ac223cd6bf203735da54b6fe0e9f9a98e2371077f6e2d29dea60112014d58477195e798118
SHA512
9f1e1e0f0cf88c0ff794a29e4116b20dcf5eae141c1eefb6c5b8e3fae948fe6f928cd98dc4b95248c5cddab1cea3b841818e3255ec85c11d5c039dcc2c315cbb
diff --git a/dev-python/pyghmi/pyghmi-1.5.5.ebuild
b/dev-python/pyghmi/pyghmi-1.5.5.ebuild
new file mode 100644
index 00000000000..a2085f3c7d1
--- /dev/null
+++ b/dev-python/pyghmi/pyghmi-1.5.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of IPMI protocol"
+HOMEPAGE="https://github.com/openstack/pyghmi/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/stestr-1.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ stestr run || die "Tests failed under ${EPYTHON}"
+}